"use strict";
exports.success = success;
exports.failure = failure;
exports.details = details;
exports.section = section;

var _chalk = require('chalk');

var chalk = _chalk;

var CHECK_MARK = '✔';
var CROSS = '✖';
function indent(text) {
    if (text) {
        var lines = text.split('\n');
        if (lines[lines.length - 1].trim().length === 0) lines.splice(-1, 1);
        return '    ' + lines.join('\n    ');
    }
    return text;
};

function success(text) {
    console.log(chalk.green('  ' + CHECK_MARK + ' ') + chalk.bold(text));
}

;

function failure(text) {
    console.log(chalk.red('  ' + CROSS + ' ') + chalk.bold(text));
}

;

function details(text) {
    console.log(indent(text));
}

;

function section(text) {
    console.log(chalk.bold.blue('\n' + text));
}

;